using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight.Docking;

namespace C1Docking_Demo
{
	public partial class ClearStyleDocking : UserControl
	{
		public ClearStyleDocking()
		{
			InitializeComponent();
		}

		private void DockControl_PickerLoading(object sender, PickerLoadingEventArgs e)
		{
			e.ShowLeftInnerPart = false;
			e.ShowLeftOuterPart = false;
			e.ShowTopInnerPart = false;
			e.ShowTopOuterPart = false;
			e.ShowRightInnerPart = false;
			e.ShowRightOuterPart = false;
			e.ShowBottomInnerPart = false;
			e.ShowBottomOuterPart = false;
			e.ShowOverInnerPart = false;
		}

		#region ** ClearStyle

		public Brush DEMO_Background
		{
			get
			{
				return DockControl.Background;
			}
			set
			{
				DockControl.Background = value;
			}
		}

		public Brush DEMO_Foreground
		{
			get
			{
				return DockControl.Foreground;
			}
			set
			{
				DockControl.Foreground = value;
			}
		}

		public Brush DEMO_BorderBrush
		{
			get
			{
				return DockControl.BorderBrush;
			}
			set
			{
				DockControl.BorderBrush = value;
			}
		}

		public Brush MouseOverBrush
		{
			get
			{
				return DockControl.MouseOverBrush;
			}
			set
			{
				DockControl.MouseOverBrush = value;
			}
		}

		public Brush PressedBrush
		{
			get
			{
				return DockControl.PressedBrush;
			}
			set
			{
				DockControl.PressedBrush = value;
			}
		}

		public Brush SelectedBackground
		{
			get
			{
				return DockControl.SelectedBackground;
			}
			set
			{
				DockControl.SelectedBackground = value;
			}
		}
		
		public Brush TabControlBackground
		{
			get
			{
				return DockControl.TabControlBackground;
			}
			set
			{
				DockControl.TabControlBackground = value;
			}
		}

		public Brush TabControlForeground
		{
			get
			{
				return DockControl.TabControlForeground;
			}
			set
			{
				DockControl.TabControlForeground = value;
			}
		}

		public Brush HeaderBackground
		{
			get
			{
				return DockControl.HeaderBackground;
			}
			set
			{
				DockControl.HeaderBackground = value;
			}
		}

		public Brush HeaderForeground
		{
			get
			{
				return DockControl.HeaderForeground;
			}
			set
			{
				DockControl.HeaderForeground = value;
			}
		}

		public Brush TabStripBackground
		{
			get
			{
				return DockControl.TabStripBackground;
			}
			set
			{
				DockControl.TabStripBackground = value;
			}
		}

		public Brush TabStripForeground
		{
			get
			{
				return DockControl.TabStripForeground;
			}
			set
			{
				DockControl.TabStripForeground = value;
			}
		}

		#endregion
	}
}
